# Base Tempo Schema

```txt
http://example.com/schemas/score-timing-data#/definitions/baseTempo
```

The global base tempo. All other tempi are expressed as fractions of this value.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [score-timing-data.schema.json*](../out/score-timing-data.schema.json "open original schema") |

## baseTempo Type

`object` ([Base Tempo](score-timing-data-definitions-base-tempo.md))

# baseTempo Properties

| Property              | Type     | Required | Nullable       | Defined by                                                                                                                                                           |
| :-------------------- | :------- | :------- | :------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [beatUnit](#beatunit) | Merged   | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/baseTempo/properties/beatUnit")    |
| [bpm](#bpm)           | `number` | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-base-tempo-properties-bpm.md "http://example.com/schemas/score-timing-data#/definitions/baseTempo/properties/bpm") |

## beatUnit

The beat unit of the base tempo. Expressed as a fraction or integer multiplier of a whole note.

`beatUnit`

*   is required

*   Type: merged type ([Beat Unit](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/baseTempo/properties/beatUnit")

### beatUnit Type

merged type ([Beat Unit](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")

### beatUnit Default Value

The default value is:

```json
"1/4"
```

## bpm

The number of beats per minute at the base tempo.

`bpm`

*   is required

*   Type: `number` ([BPM](score-timing-data-definitions-base-tempo-properties-bpm.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-base-tempo-properties-bpm.md "http://example.com/schemas/score-timing-data#/definitions/baseTempo/properties/bpm")

### bpm Type

`number` ([BPM](score-timing-data-definitions-base-tempo-properties-bpm.md))

### bpm Constraints

**minimum (exclusive)**: the value of this number must be greater than: `0`

### bpm Default Value

The default value is:

```json
120
```
