# Count-in Schema

```txt
http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn
```

An optional count-in.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [score-timing-data.schema.json*](../out/score-timing-data.schema.json "open original schema") |

## countIn Type

`object` ([Count-in](score-timing-data-definitions-meter-object-properties-count-in.md))

# countIn Properties

| Property                    | Type    | Required | Nullable       | Defined by                                                                                                                                                                                                                          |
| :-------------------------- | :------ | :------- | :------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [duration](#duration)       | Merged  | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn/properties/duration")                                                    |
| [beatPattern](#beatpattern) | `array` | Optional | cannot be null | [Score Timing Data](score-timing-data-definitions-meter-object-properties-count-in-properties-count-in-beat-pattern.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn/properties/beatPattern") |

## duration

The duration of the count-in. Expressed as a fraction or integer multiplier of a whole note at the incoming tempo.

`duration`

*   is required

*   Type: merged type ([Count-in Duration](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn/properties/duration")

### duration Type

merged type ([Count-in Duration](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")

## beatPattern

An optional array containing the beat durations within the count-in. Each entry is expressed as a fraction of a whole note at the incoming tempo. If the total pattern duration is shorter than the count-in duration, the pattern is repeated until they are equal. If omitted, the beat pattern of the incoming meter is used.

`beatPattern`

*   is optional

*   Type: an array of merged types ([Beat Duration](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-meter-object-properties-count-in-properties-count-in-beat-pattern.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn/properties/beatPattern")

### beatPattern Type

an array of merged types ([Beat Duration](score-timing-data-definitions-integerorfraction.md))
