# Meter Object Schema

```txt
http://example.com/schemas/score-timing-data#/definitions/meter
```

A meter object containing properties of the meter.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [score-timing-data.schema.json*](../out/score-timing-data.schema.json "open original schema") |

## meter Type

`object` ([Meter Object](score-timing-data-definitions-meter-object.md))

# meter Properties

| Property                        | Type     | Required | Nullable       | Defined by                                                                                                                                                                          |
| :------------------------------ | :------- | :------- | :------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [meter](#meter)                 | Merged   | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-meter-object-properties-meter.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/meter")              |
| [startPosition](#startposition) | Merged   | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/startPosition")                  |
| [endPosition](#endposition)     | Merged   | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/endPosition")                    |
| [beatPattern](#beatpattern)     | `array`  | Optional | cannot be null | [Score Timing Data](score-timing-data-definitions-meter-object-properties-beat-pattern.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/beatPattern") |
| [countIn](#countin)             | `object` | Optional | cannot be null | [Score Timing Data](score-timing-data-definitions-meter-object-properties-count-in.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn")         |

## meter

The meter (time signature). Expressed as a fraction, as 'open' or as 'pickup'.

`meter`

*   is required

*   Type: merged type ([Meter](score-timing-data-definitions-meter-object-properties-meter.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-meter-object-properties-meter.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/meter")

### meter Type

merged type ([Meter](score-timing-data-definitions-meter-object-properties-meter.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-meter-object-properties-meter-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-meter-object-properties-meter-oneof-1.md "check type definition")

### meter Default Value

The default value is:

```json
"4/4"
```

## startPosition

The start position of the meter. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.

`startPosition`

*   is required

*   Type: merged type ([Start Position](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/startPosition")

### startPosition Type

merged type ([Start Position](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")

## endPosition

The end position of the meter. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.

`endPosition`

*   is required

*   Type: merged type ([End Position](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/endPosition")

### endPosition Type

merged type ([End Position](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")

## beatPattern

An optional array containing the beat durations. Each entry is expressed as a fraction of a whole note at the current tempo. If the total pattern duration is shorter than the section duration, the pattern is repeated until they are equal. If omitted, the beat unit of the meter is used.

`beatPattern`

*   is optional

*   Type: an array of merged types ([Beat Duration](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-meter-object-properties-beat-pattern.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/beatPattern")

### beatPattern Type

an array of merged types ([Beat Duration](score-timing-data-definitions-integerorfraction.md))

## countIn

An optional count-in.

`countIn`

*   is optional

*   Type: `object` ([Count-in](score-timing-data-definitions-meter-object-properties-count-in.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-meter-object-properties-count-in.md "http://example.com/schemas/score-timing-data#/definitions/meter/properties/countIn")

### countIn Type

`object` ([Count-in](score-timing-data-definitions-meter-object-properties-count-in.md))
