# Player Schema

```txt
http://example.com/schemas/score-timing-data#/definitions/player
```

A solo player or section within the ensemble.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [score-timing-data.schema.json*](../out/score-timing-data.schema.json "open original schema") |

## player Type

`object` ([Player](score-timing-data-definitions-player.md))

# player Properties

| Property                          | Type      | Required | Nullable       | Defined by                                                                                                                                                                            |
| :-------------------------------- | :-------- | :------- | :------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [meterPartIndex](#meterpartindex) | `integer` | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-player-properties-meter-part-index.md "http://example.com/schemas/score-timing-data#/definitions/player/properties/meterPartIndex") |
| [tempoPartIndex](#tempopartindex) | `integer` | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-player-properties-tempo-part-index.md "http://example.com/schemas/score-timing-data#/definitions/player/properties/tempoPartIndex") |

## meterPartIndex

An index linking to an entry in the meter part array.

`meterPartIndex`

*   is required

*   Type: `integer` ([Meter Part Index](score-timing-data-definitions-player-properties-meter-part-index.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-player-properties-meter-part-index.md "http://example.com/schemas/score-timing-data#/definitions/player/properties/meterPartIndex")

### meterPartIndex Type

`integer` ([Meter Part Index](score-timing-data-definitions-player-properties-meter-part-index.md))

### meterPartIndex Constraints

**minimum**: the value of this number must greater than or equal to: `0`

## tempoPartIndex

An index linking to an entry in the tempo part array.

`tempoPartIndex`

*   is required

*   Type: `integer` ([Tempo Part Index](score-timing-data-definitions-player-properties-tempo-part-index.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-player-properties-tempo-part-index.md "http://example.com/schemas/score-timing-data#/definitions/player/properties/tempoPartIndex")

### tempoPartIndex Type

`integer` ([Tempo Part Index](score-timing-data-definitions-player-properties-tempo-part-index.md))

### tempoPartIndex Constraints

**minimum**: the value of this number must greater than or equal to: `0`
