# Tempo Object Schema

```txt
http://example.com/schemas/score-timing-data#/definitions/tempo
```

A tempo object containing properties of the tempo.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                                    |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [score-timing-data.schema.json*](../out/score-timing-data.schema.json "open original schema") |

## tempo Type

`object` ([Tempo Object](score-timing-data-definitions-tempo-object.md))

# tempo Properties

| Property                        | Type   | Required | Nullable       | Defined by                                                                                                                                                         |
| :------------------------------ | :----- | :------- | :------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [tempo](#tempo)                 | Merged | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/tempo/properties/tempo")         |
| [startPosition](#startposition) | Merged | Required | cannot be null | [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/tempo/properties/startPosition") |

## tempo

The tempo. Expressed as a fraction or integer multiplier of the base tempo.

`tempo`

*   is required

*   Type: merged type ([Tempo](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/tempo/properties/tempo")

### tempo Type

merged type ([Tempo](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")

### tempo Default Value

The default value is:

```json
"1/1"
```

## startPosition

The start position of the tempo. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.

`startPosition`

*   is required

*   Type: merged type ([Start Position](score-timing-data-definitions-integerorfraction.md))

*   cannot be null

*   defined in: [Score Timing Data](score-timing-data-definitions-integerorfraction.md "http://example.com/schemas/score-timing-data#/definitions/tempo/properties/startPosition")

### startPosition Type

merged type ([Start Position](score-timing-data-definitions-integerorfraction.md))

one (and only one) of

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-0.md "check type definition")

*   [Untitled string in Score Timing Data](score-timing-data-definitions-integerorfraction-oneof-1.md "check type definition")
