/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

/**
 * The beat unit of the base tempo. Expressed as a fraction or integer multiplier of a whole note.
 */
export type BeatUnit = Fraction | Integer;
export type Fraction = string;
export type Integer = string;
/**
 * The number of beats per minute at the base tempo.
 */
export type BPM = number;
/**
 * The end position of the score. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.
 */
export type EndPosition = Fraction | Integer;
/**
 * The meter (time signature). Expressed as a fraction, as 'open' or as 'pickup'.
 */
export type Meter = Fraction | ("open" | "pickup");
/**
 * The start position of the meter. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.
 */
export type StartPosition = Fraction | Integer;
/**
 * The end position of the meter. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.
 */
export type EndPosition1 = Fraction | Integer;
/**
 * A beat duration. Expressed as a fraction or integer multiplier of a whole note at the current tempo.
 */
export type BeatDuration = Fraction | Integer;
/**
 * An optional array containing the beat durations. Each entry is expressed as a fraction of a whole note at the current tempo. If the total pattern duration is shorter than the section duration, the pattern is repeated until they are equal. If omitted, the beat unit of the meter is used.
 */
export type BeatPattern = BeatDuration[];
/**
 * The duration of the count-in. Expressed as a fraction or integer multiplier of a whole note at the incoming tempo.
 */
export type CountInDuration = Fraction | Integer;
/**
 * A beat duration. Expressed as a fraction or integer multiplier of a whole note at the incoming tempo.
 */
export type BeatDuration1 = Fraction | Integer;
/**
 * An optional array containing the beat durations within the count-in. Each entry is expressed as a fraction of a whole note at the incoming tempo. If the total pattern duration is shorter than the count-in duration, the pattern is repeated until they are equal. If omitted, the beat pattern of the incoming meter is used.
 */
export type CountInBeatPattern = BeatDuration1[];
/**
 * An array of meters.
 */
export type Meters = MeterObject[];
/**
 * An array of parts containing independent meters.
 */
export type MeterParts = Meters[];
/**
 * The tempo. Expressed as a fraction or integer multiplier of the base tempo.
 */
export type Tempo = Fraction | Integer;
/**
 * The start position of the tempo. This is the duration from the start of the score and is expressed as a fraction or integer multiplier of a whole note at the base tempo.
 */
export type StartPosition1 = Fraction | Integer;
/**
 * An array of tempi.
 */
export type Tempi = TempoObject[];
/**
 * An array of parts containing independent tempi.
 */
export type TempoParts = Tempi[];
/**
 * An index linking to an entry in the meter part array.
 */
export type MeterPartIndex = number;
/**
 * An index linking to an entry in the tempo part array.
 */
export type TempoPartIndex = number;

/**
 * Score timing data.
 */
export interface ScoreTimingData {
  baseTempo: BaseTempo;
  endPosition: EndPosition;
  meterParts: MeterParts;
  tempoParts: TempoParts;
  players: Players;
  [k: string]: unknown;
}
/**
 * The global base tempo. All other tempi are expressed as fractions of this value.
 */
export interface BaseTempo {
  beatUnit: BeatUnit;
  bpm: BPM;
}
/**
 * A meter object containing properties of the meter.
 */
export interface MeterObject {
  meter: Meter;
  startPosition: StartPosition;
  endPosition: EndPosition1;
  beatPattern?: BeatPattern;
  countIn?: CountIn;
}
/**
 * An optional count-in.
 */
export interface CountIn {
  duration: CountInDuration;
  beatPattern?: CountInBeatPattern;
}
/**
 * A tempo object containing properties of the tempo.
 */
export interface TempoObject {
  tempo: Tempo;
  startPosition: StartPosition1;
}
/**
 * An object mapping players to meter and tempo parts.
 */
export interface Players {
  [k: string]: Player;
}
/**
 * A solo player or section within the ensemble.
 *
 * This interface was referenced by `Players`'s JSON-Schema definition
 * via the `patternProperty` "^.*$".
 */
export interface Player {
  meterPartIndex: MeterPartIndex;
  tempoPartIndex: TempoPartIndex;
}
